Bug 1337903 - geary fails to initialize: unknown tokenizer: unicodesn
Summary: geary fails to initialize: unknown tokenizer: unicodesn
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: geary
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1312506
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-20 12:14 UTC by Ernesto Manríquez
Modified: 2016-07-09 23:53 UTC (History)
5 users (show)

Fixed In Version: geary-0.11.1-2.fc24 geary-0.11.1-1.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-05 04:58:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 763203 None None None Never

Description Ernesto Manríquez 2016-05-20 12:14:35 UTC
Description of problem:
After upgrading to Fedora 24, geary started to behave erratically and to crash. I removed all files in .local/share/geary, to get a clean configuration, and, when I tried to create a mail account, I got this message.

** (geary:2193): ERROR **: imap-db-database.vala:247: Error creating search table: (Connection.exec /home/eris/.local/share/geary/ernesto.manriquez@outlook.com/geary.db) [err=1] - unknown tokenizer: unicodesn (
                CREATE VIRTUAL TABLE MessageSearchTable USING fts4(
                    body,
                    attachment,
                    subject,
                    from_field,
                    receivers,
                    cc,
                    bcc,
                    
                    tokenize=unicodesn "stemmer=spanish",
                    prefix="2,4,6,8,10",
                );
            )
Trace/breakpoint trap (`core' generado)

I don't get this error message under Fedora 23. I tried to downgrade Geary to no avail, so, I think this error could be some misconfiguration with sqlite3, or some missing patch in Geary needed to work with the sqlite3 version provided in Fedora 24.

How reproducible:
All the time.

Steps to reproduce.
1. Install Geary.
2. Try to create a mail account.

Actual results:
The referred error message. After that, if you try to start Geary, Geary simply refuses to start, and keeps in a loop of "Geary is updating"

Expected results:
I can access my mail accounts, just like I did in Fedora 23.

Comment 1 Ernesto Manríquez 2016-05-23 12:41:43 UTC
If I install sqlite-3.11.0-3.fc23 over my Fedora 24 install, the problem goes away.

The FTS3 tokenizer needs to be enabled in SQLite for this to work.

bug 1312506

Comment 2 Ernesto Manríquez 2016-05-24 17:54:48 UTC
Geary 0.11 can enable FTS3 with the runtime method introduced in SQLite 3.12, but SQLite 3.11 requires compilation with the FTS3 tokenizer.

https://mail.gnome.org/archives/commits-list/2016-April/msg07576.html

Comment 3 Ernesto Manríquez 2016-05-31 14:31:30 UTC
sqlite 3.12.2 hasn't fixed the problem.

Comment 4 Alex Vestrum 2016-06-07 08:49:51 UTC
I can confirm this. Hope it will be fixed soon. Ernesto, thanks for a working solution!

Comment 5 luavi1 2016-06-12 22:13:14 UTC
Downgrading to sqlite-3.11.0-3.fc24.x86_64 did not solve the problem.

Comment 6 Thomas Moschny 2016-06-27 16:43:04 UTC
If I understand things right, this can be fixed by either:

- pushing a fixed sqlite 3.11 to F24,  or
- pushing sqlite 3.12 to F24 *and* building geary against that

As sqlite 3.12 is already in testing and will be pushed soon I'll go for the second option (and update to geary 0.11.1).

Comment 7 Fedora Update System 2016-06-29 19:13:33 UTC
geary-0.11.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a2fb3caf1

Comment 8 Fedora Update System 2016-06-29 19:13:41 UTC
geary-0.11.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a39e9f457

Comment 9 Fedora Update System 2016-06-30 22:26:36 UTC
geary-0.11.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a39e9f457

Comment 10 Fedora Update System 2016-06-30 22:54:32 UTC
geary-0.11.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a2fb3caf1

Comment 11 Fedora Update System 2016-07-05 04:58:47 UTC
geary-0.11.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-07-09 23:52:59 UTC
geary-0.11.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.